Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/sette.sh	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/sette.sh	(revision 10251)
@@ -140,8 +140,7 @@
 # SAS             :11 & 12
 # ISOMIP          :13 & 14
-# ORCA2_LIM_OBS   :15
-# ORCA2_AGRIF_LIM :16 & 17 
-#                  18 & 19 
-for config in  1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
+# ORCA2_LIM_OBS:   15
+# ORCA2_AGRIF_LIM :16
+for config in  1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
 
 do
@@ -1238,10 +1237,8 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 2
-#
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
-
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1255,229 +1252,3 @@
 fi
 
-# test code corruption with AGRIF
-# Compile and run with or without AGRIF ORCA2_LIM
-if [ ${config} -eq 17 ] ;  then
-    # First run same as 16 but without zoom
-    export TEST_NAME="SHORT_NOZOOM"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2 -r ORCA2_LIM -j 8 add_key "key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-# 
-#   Set the number of fine grids to zero:    
-    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    export TEST_NAME="SHORT_NOAGRIF"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2_NAG -r ORCA2_LIM -j 8 add_key "key_mpp_rep" del_key "key_zdftmx" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-fi
-
-## Restartability tests for ORCA2_LIM_AGRIF 
-if [ ${config} -eq 18 ] ;  then
-    export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM -j 8 add_key "key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_LONG\"
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-    set_namelist namelist_cfg nn_solv 2
-#
-    set_namelist 1_namelist_cfg cn_exp \"O2LP_LONG\"
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 300
-    set_namelist 1_namelist_cfg nn_stock 150
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . ./prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"O2LP_SHORT\"
-    set_namelist namelist_cfg nn_it000 76
-    set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg nn_stock 75
-    set_namelist namelist_cfg ln_rstart .true.
-    set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-
-    set_namelist namelist_cfg jpnij 4
-    set_namelist namelist_cfg nn_solv 2
-    set_namelist 1_namelist_cfg cn_exp \"O2LP_SHORT\"
-    set_namelist 1_namelist_cfg nn_it000 151
-    set_namelist 1_namelist_cfg nn_itend 300
-    set_namelist 1_namelist_cfg nn_stock 150
-    set_namelist 1_namelist_cfg ln_rstart .true.
-    set_namelist 1_namelist_cfg nn_rstctl 2
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
-
-    set_namelist 1_namelist_cfg cn_ocerst_in \"O2LP_LONG_00000150_restart\"
-
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2LP_LONG_00000075_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_${L_NPROC}.nc .
-    done
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-## Reproducibility tests for ORCA2_LIM_AGRIF
-if [ ${config} -eq 19 ] ;  then
-    export TEST_NAME="REPRO_4_4"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM -j 8 add_key "key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg jpnij 16
-    set_namelist namelist_cfg nn_solv 2
-#
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=16
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 16
-    set_namelist namelist_cfg nn_solv 2
-#
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
 done
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/sette_rpt
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/sette_rpt	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/sette_rpt	(revision 10251)
@@ -440,88 +440,4 @@
   endif
 
-
-  if ( -d ./WORCA2AGUL_LONG ) then
-    set dorv = `ls -1rtd ./WORCA2AGUL_LONG/{$mach}/* | tail -1l `
-    set dorv = $dorv:t
-    set f1o = ./WORCA2AGUL_LONG/{$mach}/{$dorv}/LONG/ocean.output
-    set f1s = ./WORCA2AGUL_LONG/{$mach}/{$dorv}/LONG/solver.stat
-    set f2o = ./WORCA2AGUL_LONG/{$mach}/{$dorv}/SHORT/ocean.output
-    set f2s = ./WORCA2AGUL_LONG/{$mach}/{$dorv}/SHORT/solver.stat
-  
-    set nl = `wc -l $f2s`
-    tail -$nl[1] $f1s > f1.tmp$$
-    cmp -s f1.tmp$$ $f2s
-    if ( $status == 0 ) then
-      echo "ORCA2_LIM_AGRIF restartability  passed"
-    else
-      echo "ORCA2_LIM_AGRIF restartability  FAILED"
-      if ( $pass == 1 ) then
-        echo "<return> to view solver.stat differences"
-        set y = $<
-        sdiff f1.tmp$$ $f2s
-        echo "<return> to view ocean.output differences"
-        set y = $<
-        sdiff $f1o $f2o | grep "|"
-        echo "<return> to continue"
-        set y = $<
-      endif
-    endif
-    rm f1.tmp$$
-  endif
-
-  if ( -d ./WORCA2AGUL_16 ) then
-    set dorv = `ls -1rtd ./WORCA2AGUL_16/{$mach}/* | tail -1l `
-    set dorv = $dorv:t
-    set f1o = ./WORCA2AGUL_16/{$mach}/{$dorv}/REPRO_2_8/ocean.output
-    set f1s = ./WORCA2AGUL_16/{$mach}/{$dorv}/REPRO_2_8/solver.stat
-    set f2o = ./WORCA2AGUL_16/{$mach}/{$dorv}/REPRO_4_4/ocean.output
-    set f2s = ./WORCA2AGUL_16/{$mach}/{$dorv}/REPRO_4_4/solver.stat
-  
-    cmp -s $f1s $f2s
-    if ( $status == 0 ) then
-      echo "ORCA2_LIM_AGRIF reproducibility passed"
-    else
-      echo "ORCA2_LIM_AGRIF reproducibility FAILED"
-      if ( $pass == 1 ) then
-        echo "<return> to view solver.stat differences"
-        set y = $<
-        sdiff $f1s $f2s
-        echo "<return> to view ocean.output differences"
-        set y = $<
-        sdiff $f1o $f2o | grep "|"
-        echo "<return> to continue"
-        set y = $<
-      endif
-    endif
-  endif
-
-  if ( -d ./WORCA2AGUL_2_2_NAG ) then
-    set dorv = `ls -1rtd ./WORCA2AGUL_2_2_NAG/{$mach}/* | tail -1l `
-    set dorv = $dorv:t
-    set f1o = ./WORCA2AGUL_2_2_NAG/{$mach}/{$dorv}/SHORT_NOAGRIF/ocean.output
-    set f1s = ./WORCA2AGUL_2_2_NAG/{$mach}/{$dorv}/SHORT_NOAGRIF/solver.stat
-    set dorv = `ls -1rtd ./WORCA2AGUL_2_2/{$mach}/* | tail -1l `
-    set dorv = $dorv:t
-    set f2o = ./WORCA2AGUL_2_2/{$mach}/{$dorv}/SHORT_NOZOOM/ocean.output
-    set f2s = ./WORCA2AGUL_2_2/{$mach}/{$dorv}/SHORT_NOZOOM/solver.stat
-  
-    cmp -s $f1s $f2s
-    if ( $status == 0 ) then
-      echo "ORCA2_LIM_AGRIF code corruption test passed"
-    else
-      echo "ORCA2_LIM_AGRIF code corruption test FAILED"
-      if ( $pass == 1 ) then
-        echo "<return> to view solver.stat differences"
-        set y = $<
-        sdiff $f1s $f2s
-        echo "<return> to view ocean.output differences"
-        set y = $<
-        sdiff $f1o $f2o | grep "|"
-        echo "<return> to continue"
-        set y = $<
-      endif
-    endif
-  endif
-
   echo "<return> for second (more detailed) pass (y/n)"
   set y = $<
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 10251)
@@ -50,5 +50,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_config.sh 3715 2012-11-28 16:06:02Z acc $
 #
 #
@@ -65,5 +65,4 @@
 [ -f ${2}/EXP00/iodef.xml ] &&  \cp -R  ${2}/EXP00/iodef.xml ${1}/EXP00/.
 [ -f ${2}/EXP00/field_def.xml ] &&  \cp -R  ${2}/EXP00/field_def.xml ${1}/EXP00/.
-[ -f ${2}/EXP00/file_def.xml ] &&  \cp -R  ${2}/EXP00/file_def.xml ${1}/EXP00/.
 [ -f ${2}/EXP00/domain_def.xml ] &&  \cp -R  ${2}/EXP00/domain_def.xml ${1}/EXP00/.
 [ -f ${2}/EXP00/xmlio_server.def ] &&  \cp -R  ${2}/EXP00/xmlio_server.def ${1}/EXP00/.
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 10251)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fprep_agrif.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
@@ -57,15 +57,8 @@
 #- AGRIF conv
 if [ "$AGRIFUSE" == 1 ]; then
-#-MPI for AGRIF
-if [ ! -f ${MAIN_DIR}/EXTERNAL/AGRIF/nemo_mpi.h ];then
-   echo '#if defined key_mpp_mpi' > ${MAIN_DIR}/EXTERNAL/AGRIF/nemo_mpi.h
-   echo '#define AGRIF_MPI'      >> ${MAIN_DIR}/EXTERNAL/AGRIF/nemo_mpi.h
-   echo '#endif'                 >> ${MAIN_DIR}/EXTERNAL/AGRIF/nemo_mpi.h
-fi
 
 #- CONV
-fcm build ${COMPIL_DIR}/conv.cfg || exit 1
-#C_COMPILER=${CC-cc}
-#gmake CC=${C_COMPILER} -C ${MAIN_DIR}/EXTERNAL/AGRIF/LIB
+#fcm build ${TOOLS_DIR}/conv.cfg || exit 1
+gmake -C ${MAIN_DIR}/EXTERNAL/AGRIF/LIB
 
 #- AGRIF sources
@@ -74,6 +67,5 @@
 [ ! -d $2/$1/OPAFILES/AGRIF_MODELFILES ] && mkdir  $2/$1/OPAFILES/AGRIF_MODELFILES
 cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/agrif_opa.in  $2/$1/OPAFILES/
-#cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/conv  $2/$1/OPAFILES/
-cp -f -r $2/$1/AGRIFLIB/bin/conv  $2/$1/OPAFILES/
+cp -f -r ${MAIN_DIR}/EXTERNAL/AGRIF/conv  $2/$1/OPAFILES/
 
 fi
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/bld.cfg
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 10251)
@@ -41,5 +41,5 @@
 bld::tool::fppflags::nemo      %FPPFLAGS -I$CONFIG_DIR/$NEW_CONF/OPAFILES/inc
 bld::tool::fppflags::ioipsl    %FPPFLAGS
-bld::tool::fppflags::agrif     %FPPFLAGS -include ${MAIN_DIR}/EXTERNAL/AGRIF/nemo_mpi.h
+bld::tool::fppflags::agrif     %FPPFLAGS
 
 # Ignore the following dependencies
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/bld_preproagr.cfg
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/bld_preproagr.cfg	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/bld_preproagr.cfg	(revision 10251)
@@ -52,5 +52,4 @@
 bld::excl_dep	     use::ioipsl
 bld::excl_dep	     use::xios
-bld::excl_dep        use::agrif_grids
 bld::excl_dep	     use::agrif_types
 bld::excl_dep	     use::agrif_util
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/conv.cfg
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/conv.cfg	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/COMPILE/conv.cfg	(revision 10251)
@@ -8,8 +8,6 @@
 # Build information
 # ------------------------------------------------------------------------------
-inc $COMPIL_DIR/arch_nemo.fcm
+inc $COMPIL_DIR/arch.fcm
 
-bld::tool::cc        %CC
-bld::tool::cflags    %CFLAGS
 bld::tool::make      %MK
 
@@ -21,8 +19,8 @@
 dir::root            $NEMO_TDIR/$NEW_CONF/AGRIFLIB
 
-#bld::tool::cflags::convsrc  -O0  
-#bld::tool::ld::convsrc   cc
-#bld::tool::ldflags::convsrc -O  ../obj/fortran.o ../obj/fortran.o 
-#bld::pp 1
+bld::tool::cflags::convsrc  -O0  
+bld::tool::ld::convsrc   cc
+bld::tool::ldflags::convsrc -O  ../obj/fortran.o ../obj/fortran.o 
+bld::pp 1
 
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/agulhas
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/agulhas	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/agulhas	(revision 10251)
@@ -17,5 +17,4 @@
     removeclosedseas = true
     type_bathy_interp = 0 
-    rn_hmin = -3 
 /   
 
@@ -40,8 +39,4 @@
     pa1  = 245.58132232490
     N  = 31
-    ldbletanh   = .FALSE.
-    ppa2        = 0.0
-    ppkth2      = 0.0
-    ppacr2      = 0.0
 /    
     
@@ -50,6 +45,6 @@
     parent_bathy_meter = 'bathy_meter.nc'
     parent_batmet_name = 'Bathymetry'
-    e3zps_min = 20.
-    e3zps_rat = 0.1
+    e3zps_min = 25.
+    e3zps_rat = 0.2
 /
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_connect_topo.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_connect_topo.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/NESTING/src/agrif_connect_topo.f90	(revision 10251)
@@ -105,5 +105,5 @@
     IMPLICIT NONE
     !
-    REAL*8 :: za2,za1,za0,zsur,zacr,zkth,zacr2,zkth2,zmin,zmax
+    REAL*8 :: za1,za0,zsur,zacr,zkth,zmin,zmax
     TYPE(Coordinates) :: Grid
     INTEGER :: i,j
@@ -134,5 +134,4 @@
        za0  = pa0
        za1  = pa1
-       za2  = pa2
        !
     ELSE
@@ -148,49 +147,19 @@
 
     zacr = ppacr
-    zkth = ppkth
-    zacr2 = ppacr2
-    zkth2 = ppkth2   
+    zkth = ppkth 
+
     !
     ALLOCATE(gdepw(N),gdept(N),e3w(N),e3t(N))
     !
-    IF( ppkth == 0. ) THEN            !  uniform vertical grid 
-       za1 = pphmax / FLOAT(N-1) 
-       DO i = 1, N
-          gdepw(i) = ( i - 1   ) * za1
-          gdept(i) = ( i - 0.5 ) * za1
-          e3w  (i) =  za1
-          e3t  (i) =  za1
-       END DO
-    ELSE                            ! Madec & Imbard 1996 function
-       IF( .NOT. ldbletanh ) THEN
-          DO i = 1,N
-             ! 
-             gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
-             gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
-             e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
-             e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
-             !
-          END DO
-       ELSE
-          DO i = 1,N
-             ! Double tanh function
-             gdepw(i) = ( zsur + za0*i  + za1 * zacr * LOG ( COSH( (i-zkth ) / zacr  ) )               &
-                &                       + za2 * zacr2* LOG ( COSH( (i-zkth2) / zacr2 ) )  )
-             gdept(i) = ( zsur + za0*(i+0.5) + za1 * zacr * LOG ( COSH( ((i+0.5)-zkth ) / zacr  ) )    &
-                &                            + za2 * zacr2* LOG ( COSH( ((i+0.5)-zkth2) / zacr2 ) )  )
-             e3w  (i) =          za0         + za1        * TANH(       (i-zkth ) / zacr  )            &
-                &                            + za2        * TANH(       (i-zkth2) / zacr2 )
-             e3t  (i) =          za0         + za1        * TANH(       ((i+0.5)-zkth ) / zacr  )      &
-                &                            + za2        * TANH(       ((i+0.5)-zkth2) / zacr2 )
-            END DO
-       ENDIF
-    ENDIF
+    DO i = 1,N
+       gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
+       gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
+       e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
+       e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
+    END DO
     !
     gdepw(1) = 0.0
     zmax = gdepw(N) + e3t(N)
-    IF( rn_hmin < 0. ) THEN  ;   i = - INT( rn_hmin )                                  ! from a nb of level
-    ELSE                     ;   i = MINLOC( gdepw, mask = gdepw > rn_hmin, dim = 1 )  ! from a depth
-    ENDIF
-    zmin = gdepw(i+1)
+    zmin = gdepw(4)
     !
     IF ( .NOT. ASSOCIATED(Grid%bathy_level)) &
@@ -258,5 +227,5 @@
     IMPLICIT NONE
     !
-    REAL*8 :: za2,za1,za0,zsur,zacr,zkth,zacr2,zkth2,zmin,zmax
+    REAL*8 :: za1,za0,zsur,zacr,zkth,zmin,zmax
     TYPE(Coordinates) :: Grid
     INTEGER :: i,j
@@ -288,5 +257,4 @@
        za0  = pa0
        za1  = pa1
-       za2  = pa2
        !
     ELSE
@@ -296,48 +264,22 @@
        WRITE(*,*) 'please check values of variables'
        WRITE(*,*) 'in namelist vertical_grid section'
-       WRITE(*,*) ' ' 
-       STOP     
+       WRITE(*,*) ' '
+       STOP      
        !       
     ENDIF
-
+    !
     zacr = ppacr
-    zkth = ppkth
-    zacr2 = ppacr2
-    zkth2 = ppkth2   
+    zkth = ppkth 
+
     !
     ALLOCATE(gdepw(N),gdept(N),e3w(N),e3t(N))
     !
-    IF( ppkth == 0. ) THEN            !  uniform vertical grid 
-       za1 = pphmax / FLOAT(N-1) 
-       DO i = 1, N
-          gdepw(i) = ( i - 1   ) * za1
-          gdept(i) = ( i - 0.5 ) * za1
-          e3w  (i) =  za1
-          e3t  (i) =  za1
-       END DO
-    ELSE                            ! Madec & Imbard 1996 function
-       IF( .NOT. ldbletanh ) THEN
-          DO i = 1,N
-             ! 
-             gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
-             gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
-             e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
-             e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
-             !
-          END DO
-       ELSE
-          DO i = 1,N
-             ! Double tanh function
-             gdepw(i) = ( zsur + za0*i  + za1 * zacr * LOG ( COSH( (i-zkth ) / zacr  ) )               &
-                &                       + za2 * zacr2* LOG ( COSH( (i-zkth2) / zacr2 ) )  )
-             gdept(i) = ( zsur + za0*(i+0.5) + za1 * zacr * LOG ( COSH( ((i+0.5)-zkth ) / zacr  ) )    &
-                &                            + za2 * zacr2* LOG ( COSH( ((i+0.5)-zkth2) / zacr2 ) )  )
-             e3w  (i) =          za0         + za1        * TANH(       (i-zkth ) / zacr  )            &
-                &                            + za2        * TANH(       (i-zkth2) / zacr2 )
-             e3t  (i) =          za0         + za1        * TANH(       ((i+0.5)-zkth ) / zacr  )      &
-                &                            + za2        * TANH(       ((i+0.5)-zkth2) / zacr2 )
-         END DO
-       ENDIF
-    ENDIF
+    DO i = 1,N
+       ! 
+       gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
+       gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
+       e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
+       e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
+    END DO
     !
     gdepw(1) = 0.0  
@@ -742,8 +684,8 @@
   ! for consistency with fine grid bathymetry			*
   !								*
-  ! if a given coarse grid point is masked and one of the	  *
-  ! child grid points contained in this coarse cell is not masked *
-  ! the corresponding coarse grid point is unmasked with rn_hmin  *
-  ! value						          *
+  ! if a given coarse grid point is masked and one of the		*
+  ! child grid points contained in this coarse cell is not masked	*
+  ! the corresponding coarse grid point is unmasked with gdepw(4) *
+  ! value								*
   !								*
   ! - input :							*
@@ -762,5 +704,5 @@
     !
     INTEGER :: ideb,jdeb,ifin,jfin
-    REAL*8 :: za2,za1,za0,zsur,zacr,zkth,zacr2,zkth2,zmin
+    REAL*8 :: za1,za0,zsur,zacr,zkth,zmin
     INTEGER :: i,j
     INTEGER :: k1
@@ -785,5 +727,4 @@
        za0  = pa0
        za1  = pa1
-       za2  = pa2
        !
     ELSE
@@ -799,47 +740,18 @@
 
     zacr = ppacr
-    zkth = ppkth
-    zacr2 = ppacr2
-    zkth2 = ppkth2   
+    zkth = ppkth 
+
     !
     ALLOCATE(gdepw(N),gdept(N),e3w(N),e3t(N))
     !
-    IF( ppkth == 0. ) THEN            !  uniform vertical grid 
-       za1 = pphmax / FLOAT(N-1) 
-       DO i = 1, N
-          gdepw(i) = ( i - 1   ) * za1
-          gdept(i) = ( i - 0.5 ) * za1
-          e3w  (i) =  za1
-          e3t  (i) =  za1
-       END DO
-    ELSE                            ! Madec & Imbard 1996 function
-       IF( .NOT. ldbletanh ) THEN
-          DO i = 1,N
-             ! 
-             gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
-             gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
-             e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
-             e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
-             !
-          END DO
-       ELSE
-          DO i = 1,N
-             ! Double tanh function
-             gdepw(i) = ( zsur + za0*i  + za1 * zacr * LOG ( COSH( (i-zkth ) / zacr  ) )               &
-                &                       + za2 * zacr2* LOG ( COSH( (i-zkth2) / zacr2 ) )  )
-             gdept(i) = ( zsur + za0*(i+0.5) + za1 * zacr * LOG ( COSH( ((i+0.5)-zkth ) / zacr  ) )    &
-                &                            + za2 * zacr2* LOG ( COSH( ((i+0.5)-zkth2) / zacr2 ) )  )
-             e3w  (i) =          za0         + za1        * TANH(       (i-zkth ) / zacr  )            &
-                &                            + za2        * TANH(       (i-zkth2) / zacr2 )
-             e3t  (i) =          za0         + za1        * TANH(       ((i+0.5)-zkth ) / zacr  )      &
-                &                            + za2        * TANH(       ((i+0.5)-zkth2) / zacr2 )
-          END DO
-       ENDIF
-    ENDIF
-    !
-    IF( rn_hmin < 0. ) THEN  ;   i = - INT( rn_hmin )                                  ! from a nb of level
-    ELSE                     ;   i = MINLOC( gdepw, mask = gdepw > rn_hmin, dim = 1 )  ! from a depth
-    ENDIF
-    zmin = gdepw(i+1)
+    DO i = 1,N
+       ! 
+       gdepw(i) = (zsur+za0*i+za1*zacr*LOG(COSH((i-zkth)/zacr))) 
+       gdept(i) = (zsur+za0*(i+0.5)+za1*zacr*LOG(COSH(((i+0.5)-zkth)/zacr)))
+       e3w(i)   = (za0 + za1 * TANH((i-zkth)/zacr))
+       e3t(i)   = (za0 + za1 * TANH(((i+0.5)-zkth)/zacr))
+    END DO
+    !
+    zmin = gdepw(4)
     !      
     diff = 0
